Subject: Re: Advising: Rene Garcia #3002617

From: Mark Allen Weiss <[email-masked]>
Date: Mon, 2 Aug 2010 13:26:31 -0400 (EDT)

If the faculty feels the 35 FIU upper division credit rule should not 
apply to us because we have fewer upper division credits than the rest of 
the college (their programs are 128 credits, except for Env. Eng which is 
126 credits), then we can, as a faculty, ask the College for a less 
restrictive rule. The curriculum committee can consider the issue this 
fall. But in the interim, I think we must apply the rule to students who 
were admitted after our merger with the College of Engineering.

--Mark

On Fri, 30 Jul 2010, Tim Downey wrote:

> I agree.
>
> The student will need to meet the CS 50% rule and the engineering 35
> credit rule.
>
> I do have a thought about the 35 credit rule, that we may consider changing
> for our programs. I believe that all of the engineering degrees require more
> credits than we do. 35 credits of upper division may be very close to 50% of
> their upper division credit. Perhaps they hard-coded 35 when they meant 50%.
>
> On 7/23/2010 3:35 PM, Mark Allen Weiss wrote:
>> All,
>> 
>> Pat has asked about a transfer student who has lots of upper division 
>> credits being transferred. I am including you in the response so you can 
>> check if this is an unreasonable approach....
>> 
>> 
>> The college of engineering rules require at least 35 semester credits in 
>> the upper division.
>>    http://catalog.fiu.edu/index.php?id=10067&section=collegesandschools&college=1&parent=10067 
>> If the student is pre-2005 we can use the 50% rule.
>> 
>> In either case, upper-division means upper-division. 1000 or 2000 level do 
>> not count.
>> 
>> If a student is short due to a large number of upper division transfer 
>> credits, then the student needs to take additional upper-division courses, 
>> not necessarily CS or IT, but I would think related courses would be in 
>> the student's best career interest.
>> 
>> --Mark
>> 
>> 
>> On Fri, 23 Jul 2010, P. McDermott-Wells wrote:
>> 
>>> Rene is the transfer student who previously inquired about the 4+1, but
>>> since he is so far along (due to the high number of upper level transfer
>>> courses)  it did not seem like a workable approach for him.  However, 
>>> his
>>> other problem is the residency requirement.  As best I can tell from
>>> discussions with him and notes that Tim hand wrote on some paperwork he 
>>> has,
>>> he probably needs a total of 28 upper division credits to be taken at 
>>> FIU
>>> (50% of his 55 upper division requirements).
>>> 
>>> 
>>> 
>>> The courses he has taken here are Physics I/II, 2 science electives (AST
>>> 2004 and BSC 1010), COM 3110 and ENC 3213 - a total of 20 credits.  This
>>> raises the following question. Do the 1000-level and 2000-level courses
>>> count toward the 50% upper division credits?
>>> 
>>> 
>>> 
>>> If not, what do you recommend for this student?
>>> 
>>> 
>>> 
>>> Thanks,
>>> Pat
>>> 
>>> 
>